//////////////////////////////////////////////////

//		MODEL SHADERS			//

//////////////////////////////////////////////////

textures/null_train/bg_building1
{
	qer_editorimage textures/null_train/bg_building1.tga

	q3map_vertexscale 3
	
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/null_train/bg_building1.tga
		rgbgen const ( 0.37 0.34 0.31 )
	}
}

textures/null_train/bg_building2
{
	qer_editorimage textures/null_train/bg_building2.tga

	q3map_vertexscale 3
	
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/null_train/bg_building2.tga
		rgbgen const ( 0.33 0.29 0.27 )
	}
}

textures/null_train/bg_building3
{
	qer_editorimage textures/null_train/bg_building3.tga

	q3map_vertexscale 3
	
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/null_train/bg_building3.tga
		rgbgen const ( 0.55 0.52 0.5 )
	}
}

textures/null_train/bg_building4
{
	qer_editorimage textures/null_train/bg_building4.tga

	q3map_vertexscale 3
	
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/null_train/bg_building4.tga
		rgbgen const ( 0.37 0.34 0.31 )
	}
}

textures/null_train/telegraph_thing
{
	qer_editorimage textures/null_train/pipe.tga

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nolightmap

	//nomipmaps
	nopicmip

	cull none

	{
		map textures/null_train/pipe.tga
		rgbgen vertex
	}	
}

textures/null_train/chim_metal
{
	qer_editorimage textures/urban_terror/metal_rusty5eee.tga

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nolightmap

	//nomipmaps
	nopicmip

	cull none

	{
		map textures/urban_terror/metal_rusty5eee.tga
		rgbgen vertex
	}
}

textures/null_train/chain_fence2
{
	qer_editorimage textures/null_train/br_fence2.tga

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nolightmap

	//nomipmaps
	nopicmip

	cull none

	{
		map textures/null_train/fence.tga
		alphafunc ge128	
		tcmod scale 1.7 1.7
		rgbgen vertex
	}
}

textures/null_train/chain_fence_edge
{
	qer_editorimage textures/null_train/wallcon4.tga

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nolightmap

	cull none

	{
		map textures/null_train/wallcon4.tga
	}
}

textures/null_train/chain_barbed
{
	qer_editorimage textures/null_train/barbed.tga

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nolightmap

	nopicmip

	q3map_invert
	q3map_lightmapsampleoffset 16

	cull none

	{
		map textures/null_train/barbed.tga
		alphafunc ge128	
		rgbgen vertex
	}
}


// Borrowed from Bohemia

textures/null_twist/hang_lamp_fx
{
	qer_editorimage textures/null_twist/lamp26_64x64_2.tga
	q3map_surfacelight 10000
	{
		map textures/null_twist/lamp26_64x64_2.tga
	}
	{
		map textures/null_twist/lamp26_64x64_glow.tga
		blendfunc gl_one_minus_src_alpha gl_one
		//blendfunc add
		alphagen portal 300
	}
}

textures/null_twist/overheadlines
{
	qer_editorimage textures/null_twist/sc_metal.tga
	{
		map textures/null_twist/sc_metal.tga
		rgbgen exactvertex
	}
	{
		map textures/null_twist/spec1.tga
		blendfunc add
		rgbgen exactvertex
	}
}

//////////////////////////////////////////////////

//		DECAL SHADERS			//

//////////////////////////////////////////////////

textures/null_train/decal_window_round
{
	qer_editorimage textures/null_train/decal_window_round.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	q3map_vertexscale 1.3
	
	polygonOffset	

	{
		map textures/null_train/decal_window_round.tga
		//blendfunc blend
		alphafunc ge128
		alphagen const 1
		depthwrite
	}
	{
		depthfunc equal
		map $lightmap
		blendfunc filter
	}
}

textures/null_train/decal_card_01
{
	qer_editorimage textures/null_train/card_01_qer.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	q3map_vertexscale 1.3
	
	polygonOffset

	{
		map textures/null_train/card_01.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}

textures/null_train/decal_card_02
{
	qer_editorimage textures/null_train/card_02_qer.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	q3map_vertexscale 1.3
	
	polygonOffset

	{
		map textures/null_train/card_02.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}

textures/null_train/decal_card_03
{
	qer_editorimage textures/null_train/card_03_qer.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	q3map_vertexscale 1.3
	
	polygonOffset

	{
		map textures/null_train/card_03.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}

textures/null_train/decal_card_04
{
	qer_editorimage textures/null_train/card_04_qer.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	q3map_vertexscale 1.3
	
	polygonOffset

	{
		map textures/null_train/card_04.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}

textures/null_train/decal_road_crack_1
{
	qer_editorimage textures/null_train/keres4_decal01.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	q3map_vertexscale 2
	
	polygonOffset

	{
		map textures/null_train/keres4_decal01.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}

textures/null_train/decal_road_crack_2
{
	qer_editorimage textures/null_train/keres4_decal02.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	q3map_vertexscale 2
	
	polygonOffset

	{
		map textures/null_train/keres4_decal02.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}

textures/null_train/decal_road_crack_3
{
	qer_editorimage textures/null_train/keres4_decal03.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	q3map_vertexscale 2
	
	polygonOffset

	{
		map textures/null_train/keres4_decal03.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}

textures/null_train/decal_road_crack_4
{
	qer_editorimage textures/null_train/keres4_decal04.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	q3map_vertexscale 2
	
	polygonOffset

	{
		map textures/null_train/keres4_decal04.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}

textures/null_train/decal_rocks_1
{
	qer_editorimage textures/null_train/rocks_1_qer.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	q3map_vertexscale 1
	
	polygonOffset

	{
		map textures/null_train/rocks_1.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}

textures/null_train/decal_rocks_2
{
	qer_editorimage textures/null_train/rocks_2_qer.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	q3map_vertexscale 1
	
	polygonOffset

	{
		map textures/null_train/rocks_2.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}

textures/null_train/decal_moss_blend_1
{
	qer_editorimage textures/null_train/moss_blend_1.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	q3map_vertexscale 1
	
	polygonOffset

	{
		map textures/null_train/moss_blend_1.tga
		blendfunc blend
		rgbgen vertex
		alphagen vertex
	}	
	
}

textures/null_train/decal_moss_patch_1
{
	qer_editorimage textures/null_train/moss_patch_1.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	q3map_vertexscale 1
	
	polygonOffset

	{
		map textures/null_train/moss_patch_1.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}	
	
}

textures/null_train/decal_moss_patch_2
{
	qer_editorimage textures/null_train/moss_patch_2.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	q3map_vertexscale 1
	
	polygonOffset

	{
		map textures/null_train/moss_patch_2.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}	
	
}

textures/null_train/decal_moss_behind_pipe
{
	qer_editorimage textures/null_train/moss_behind_pipe.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	polygonOffset

	{
		map textures/null_train/moss_behind_pipe.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/null_train/decal_moss_thick
{
	qer_editorimage textures/null_train/moss_thick_overlay.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid

	q3map_vertexscale 2
	
	polygonOffset

	{
		map textures/null_train/moss_thick_overlay.tga
		blendfunc blend
		rgbgen vertex
	}
}

textures/null_train/decal_moss_wall
{
	qer_editorimage textures/null_train/moss_wall_overlay_1.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid

	q3map_vertexscale 2
	
	polygonOffset

	{
		map textures/null_train/moss_wall_overlay_1.tga
		blendfunc blend
		rgbgen vertex
	}
}

textures/null_train/decal_ruststain2
{
	qer_editorimage textures/null_train/babel-ruststain2.tga
	qer_trans 0.4

	surfaceparm trans
	surfaceparm nomarks
	
	polygonOffset
	{
		map textures/null_train/babel-ruststain2.tga
		blendfunc filter
	}
}

textures/null_train/decal_ruststain1
{
	qer_editorimage textures/null_train/ruststain1.tga
	qer_trans 0.4

	surfaceparm trans
	surfaceparm nomarks
	
	polygonOffset
	{
		map textures/null_train/ruststain1.tga
		blendfunc filter
	}
	{
		map textures/null_train/ruststain1.tga
		blendfunc filter
	}
}

textures/null_train/decal_ruststain1_normal
{
	qer_editorimage textures/null_train/ruststain1.tga
	qer_trans 0.4

	surfaceparm trans
	surfaceparm nomarks
	
	polygonOffset
	{
		map textures/null_train/ruststain1.tga
		blendfunc filter
	}
}

textures/null_train/decal_rustdecal_small
{
	qer_editorimage textures/null_train/rustdecal_small.tga
	qer_trans 0.4

	surfaceparm trans
	surfaceparm nomarks
	
	polygonOffset
	{
		map textures/null_train/rustdecal_small.tga
		blendfunc filter
	}
}

textures/null_train/decal_burn01
{ 
	qer_editorimage textures/decals/decal_burn01.tga
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip
	qer_trans 0.4
	surfaceparm nomarks
	{
		map textures/decals/decal_burn01.tga
		blendfunc filter
	}
}

//////////////////////////////////////////////////

//		BRUSH SHADERS			//

//////////////////////////////////////////////////

textures/null_train/road1:q3map
{
	q3map_nonplanar
	q3map_shadeangle 45
}

textures/null_train/window_broken_1_trans
{
	qer_editorimage textures/null_c/window_broken_1.tga
	
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm lightfilter
	surfaceparm nonsolid
	surfaceparm playerclip

	sort 10

	q3map_cloneshader textures/null_train/window_broken_1_trans_back	
	q3map_vertexscale 1.5

	{
		map textures/null_train/window_broken_2.tga
		blendfunc blend
		rgbgen vertex
	}
}

textures/null_train/window_broken_1_trans_back
{
	qer_editorimage textures/null_c/window_broken_1.tga
	
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm lightfilter
	surfaceparm nonsolid
	surfaceparm playerclip

	q3map_invert
	q3map_vertexscale 1.5


	{
		map textures/null_train/window_broken_2.tga
		blendfunc blend
		rgbgen vertex
	}
}

textures/null_train/metal_fence
{
	qer_editorimage textures/null_train/metal_sheet.tga

	sort 6

	{
		map textures/null_train/metal_sheet.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/null_train/grass_mud_phong
{
	qer_editorimage textures/null_beach/grasslm.tga
	q3map_shadeangle 50
	q3map_nonplanar
	q3map_forcemeta
	{
		map textures/null_train/ground_mud_pr.tga
	}
	{
		map textures/null_beach/grasslm.tga
		alphagen vertex
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_train/corona
{
	qer_editorimage textures/null_train/corona.tga
	
	deformvertexes autosprite
	
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nolightmap
	
	cull none

	{
		map textures/null_train/corona.tga
		blendfunc add
		rgbgen identity
	}
}


//////////////////////////////////////////////////

//		SKY SHADER			//

//////////////////////////////////////////////////

textures/null_train/sky
{
	qer_editorimage textures/null_beach/sky_arc_masked.tga

	q3map_lightsubdivide 768
	q3map_backsplash 0 0

	q3map_lightRGB 1 0.9 0.8
	q3map_sunEXT 1 0.85 0.75 165 315 65 3 16 
	q3map_skylight 200 5
	q3map_lightmapFilterRadius 0 8

	q3map_noFog
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	
	skyparms textures/null_train/env/stormydays 512 -
	
	nopicmip
	nomipmaps
	
}